<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('available_apps', function (Blueprint $table) {
            $table->uuid()->primary();
            $table->string('app_logo')->nullable();
            $table->string('app_name');
            $table->string('app_version')->nullable();
            $table->integer('app_size');
            $table->longText('app_description')->nullable();
            $table->string('app_format_type')->default('setup');
            $table->decimal('app_price', 10, 2)->nullable()->default(0.00);
            $table->string('app_duration')->nullable();
            $table->longText('app_address_link_to_download')->nullable();
            $table->boolean('is_recomended')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('available_apps');
    }
};
